%define upstream_name    Net-OAuth
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An OAuth protocol response for an Request Token
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor) >= 0.310.0
BuildRequires: perl(Class::Data::Inheritable) >= 0.60.0
BuildRequires: perl(Crypt::URandom) >= 0.370.0
BuildRequires: perl(Digest::SHA) >= 5.470.0
BuildRequires: perl(Encode) >= 2.350.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.660.0
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(URI) >= 5.150.0
BuildArch:  noarch

%{?perl_default_filter}

%description
OAUTH MESSAGES
    An OAuth message is a set of key-value pairs. The following message
    types are supported:

    Requests

    * * Request Token (Net::OAuth::RequestTokenRequest)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 08 2025 umeabot <umeabot> 0.310.0-2.mga10
+ Revision: 2251325
- Mageia 10 Mass Rebuild

* Sat Apr 12 2025 tv <tv> 0.310.0-1.mga10
+ Revision: 2174882
- update to 0.31

* Fri Jan 24 2025 tv <tv> 0.300.0-1.mga10
+ Revision: 2141590
- update to 0.30

* Sun Mar 20 2022 umeabot <umeabot> 0.280.0-11.mga9
+ Revision: 1804909
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.280.0-10.mga8
+ Revision: 1495937
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.280.0-9.mga7
+ Revision: 1269929
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.280.0-8.mga6
+ Revision: 1031215
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.280.0-7.mga6
+ Revision: 929713
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-6.mga5
+ Revision: 741996
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.280.0-5.mga5
+ Revision: 732422
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-4.mga5
+ Revision: 685694
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 513567
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 370754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 06 2012 jquelin <jquelin> 0.280.0-1.mga2
+ Revision: 192591
- update to 0.28

* Sat Jan 22 2011 jquelin <jquelin> 0.270.0-1.mga1
+ Revision: 32248
- mageia rebuild
- imported package perl-Net-OAuth

